For the complete documentation index, see llms.txt. This page is also available as Markdown.

Portfolios API Reference

Get Portfolios for Clients of the Financial Partner

get

List of Portfolios for Clients of the Financial Partner

Authorizations
cdpapi-Subscription-KeystringRequired
Query parameters
PageNumberintegerOptional

Format - int32.

PageSizeintegerOptional

Format - int32.

Responses
200Success
application/json
pageNumberinteger · int32Optional

Page Number of List

pageCountinteger · int32Optional

Total Number of Pages

sortOrderstringOptional
get/portfolios
GET /financial-partners/portfolios HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Accept: */*
200Success
{
  "portfolioInformation": [
    {
      "clientReference": "8836442",
      "portfolio": {
        "portfolioId": "23533",
        "portfolioVersion": 2,
        "currencyCode": "GBP",
        "depositAccounts": [
          {
            "depositAccountId": "67",
            "productId": "6",
            "productVersionOnAccountOpen": 1,
            "dateAccountOpenedUTC": "2018-10-01T16:00:00.0000000+00:00",
            "dateAccountMaturesUTC": "2018-10-01T16:00:00.0000000+00:00",
            "amount": 50013.14,
            "interestAccruedAmount": 33.06,
            "interestPaidAmount": 11.02,
            "interestExpectedAmount": 1001.02
          }
        ]
      },
      "pendingPaymentBatchItems": [
        {
          "pendingBatchItemId": "75692cd8-c74f-4a1d-a9fb-6ff9998be90540581212",
          "pendingBatchType": "deposit",
          "depositAccountId": "2233",
          "productId": "6",
          "productVersion": "6",
          "dateAddedUTC": "2018-10-01T16:00:00.0000000+00:00",
          "amount": 100
        },
        {
          "instructionReference": "cd0533ba-5225-4520-9ac0-e85659db693820581223",
          "pendingBatchType": "withdrawal",
          "depositAccountId": "67",
          "productId": "6",
          "productVersion": "6",
          "dateAddedUTC": "2018-10-01T16:00:00.0000000+00:00",
          "dateToBeActionedUTC": "2018-10-01T16:00:00.0000000+00:00",
          "amount": 100
        },
        {
          "instructionReference": "e4dd726e-e0bf-4c74-982f-bcf5a11681c950591224",
          "pendingBatchType": "deposit",
          "depositAccountId": "",
          "productId": "45",
          "productVersion": "3",
          "dateAddedUTC": "2018-10-01T16:00:00.0000000+00:00",
          "dateToBeActionedUTC": "2018-10-01T16:00:00.0000000+00:00",
          "amount": 1000
        }
      ]
    },
    {
      "clientReference": "283373",
      "portfolio": {
        "portfolioId": "54366",
        "portfolioVersion": 3,
        "currencyCode": "USD",
        "depositAccounts": [
          {
            "depositAccountId": "362",
            "productId": "54",
            "productVersionOfDepositAccountOnOpening": 3,
            "dateAccountOpenedUTC": "2018-10-01T16:00:00.0000000+00:00",
            "dateAccountMaturesUTC": "2018-10-01T16:00:00.0000000+00:00",
            "amount": 5262.33,
            "accruedInterestAmount": 12.51
          }
        ]
      }
    }
  ],
  "pageNumber": 1,
  "pageCount": 50,
  "sortOrder": "updatedDateDesc"
}

Get Portfolios for a Client of the Financial Partner

get

List of Portfolios for a Client of the Financial Partner

Authorizations
cdpapi-Subscription-KeystringRequired
Path parameters
clientreferencestringRequired

The reference of the client

Header parameters
If-Modified-SincestringOptional

The datetime of last modified

Responses
200

The portfolios for a Client

application/json
get/clients/{clientreference}/portfolios
GET /financial-partners/clients/{clientreference}/portfolios HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Accept: */*
{
  "portfolioInformation": [
    {
      "clientReference": "8836442",
      "portfolio": {
        "portfolioId": "23533",
        "portfolioVersion": 2,
        "currencyCode": "GBP",
        "depositAccounts": [
          {
            "depositAccountId": "67",
            "productId": "6",
            "productVersionOnAccountOpen": 1,
            "dateAccountOpenedUTC": "2018-10-01T16:00:00.0000000+00:00",
            "dateAccountMaturesUTC": "2018-10-01T16:00:00.0000000+00:00",
            "amount": 50013.14,
            "interestAccruedAmount": 33.06,
            "interestPaidAmount": 11.02,
            "interestExpectedAmount": 1001.02
          }
        ]
      },
      "links": [
        {
          "rel": "pendingInstructions",
          "href": "https://api.flagstoneim.com/instructions?clientReference=8836442&status=pending"
        }
      ]
    },
    {
      "clientReference": "283373",
      "portfolio": {
        "portfolioId": "54366",
        "portfolioVersion": 3,
        "currencyCode": "USD",
        "depositAccounts": [
          {
            "depositAccountId": "362",
            "productId": "54",
            "productVersionOfDepositAccountOnOpening": 3,
            "dateAccountOpenedUTC": "2018-10-01T16:00:00.0000000+00:00",
            "dateAccountMaturesUTC": "2018-10-01T16:00:00.0000000+00:00",
            "amount": 5262.33,
            "accruedInterestAmount": 12.51
          }
        ]
      }
    }
  ]
}

Get Introducer

get
Authorizations
cdpapi-Subscription-KeystringRequired
Path parameters
financialPartnerIdstringRequired
introducerIdstringRequired
Responses
200Success
application/json
introducerIdstringOptional

Unique identifier of the Introducer

financialPartnerIdstringOptional

Unique identifier of the Financial Partner

introducerTypestring · enumOptional

The introducer type, individual or business

Possible values:
titlestringOptional
firstNamestringOptional
lastNamestringOptional
emailAddressstringOptional
phoneNumberstringOptional
companyRegistrationNumberstringOptional
companyNamestringOptional
officeNumberstringOptional
officeDescriptionstringOptional
createdAtUtcstring · date-timeOptional

Specifies the created at dateTime.

updatedAtUtcstring · date-timeOptional

Specifies the updated at dateTime.

get/{financialPartnerId}/introducers/{introducerId}
GET /financial-partners/{financialPartnerId}/introducers/{introducerId} HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Accept: */*
{
  "introducerId": "string",
  "financialPartnerId": "string",
  "introducerType": "individual",
  "title": "string",
  "firstName": "string",
  "lastName": "string",
  "emailAddress": "string",
  "phoneNumber": "string",
  "companyRegistrationNumber": "string",
  "companyName": "string",
  "officeNumber": "string",
  "officeDescription": "string",
  "createdAtUtc": "string($date-time)",
  "updatedAtUtc": "string($date-time)"
}

Last updated